Package htsjdk.samtools.cram.compression.rans

# Class ArithmeticDecoder

java.lang.Object
htsjdk.samtools.cram.compression.rans.ArithmeticDecoder

public final class ArithmeticDecoder extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final int[]`
`frequencies`
`final byte[]`
`reverseLookup`

## Constructor Summary

Constructors
Constructor
Description
`ArithmeticDecoder()`

## Method Summary

Modifier and Type
Method
Description
`void`
`reset()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### frequencies

public final int[] frequencies

### reverseLookup

public final byte[] reverseLookup

## Constructor Details

### ArithmeticDecoder

public ArithmeticDecoder()

## Method Details

### reset

public void reset()